summaryrefslogtreecommitdiffstats
path: root/src.etc/network/if-down.d/dhcpd
diff options
context:
space:
mode:
Diffstat (limited to 'src.etc/network/if-down.d/dhcpd')
-rw-r--r--src.etc/network/if-down.d/dhcpd7
1 files changed, 7 insertions, 0 deletions
diff --git a/src.etc/network/if-down.d/dhcpd b/src.etc/network/if-down.d/dhcpd
new file mode 100644
index 0000000..b6ca719
--- /dev/null
+++ b/src.etc/network/if-down.d/dhcpd
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -eu
+
+if [ -f "/var/run/udhcpd.${IFACE}" ]; then
+ kill "$(cat "/var/run/udhcpd.${IFACE}")"
+fi